<h1>Tooltip Quicker</h1>
<h4>Tooltip quicker is a small library, that helps you create new tooltips in a quick way.</h4>
<h5>Minified version of the library has only 1.3kb!. You can easily edit not minified version. <br>
To download tooltip-quicker, you can use <code>npm install tooltip-quicker</code></h5>

<h3>1. Description</h3>
<p>A tooltip-quicker is a library that provides simple and fast tooltip functionality. You can customize it on your own by developing new styles for these tooltips.</p>
<p><strong>Currently tooltips look like on included screenshot below:</strong></p>
<img src="https://res.cloudinary.com/dvzfz81yf/image/upload/v1509523761/Screenshot_from_2017-11-01_06.07.27_rehahe.jpg" alt="Screenshot-01"/>
<h4>1.1 Functionality description</h4>
<ul>
  <li>Tooltip quicker provides two ready icons to use as a tooltip icon.</li>
  <li>On desktop you can choose, between hovering on icon or clicking to show the tooltip.</li>
  <li>On mobile functionality changes automatically, user has to click on icon to show the tooltip.</li>
  <li>Tooltip provides cross icon to close the tooltip</li>
</ul>

<h3>2. Documentation</h3>
<p>In documentation section, I'm going to introduce you how to use tooltip-quicker and install it</p>
<h4>2.1 How to use library?</h4>
<p>Firstly, in your js file, you have to declare below function:</p>

``` JavaScript
tooltipQuicker.addTooltip('.parent-elem',{ eventType: 'click', dissapear: false });

```
<h5>First parameter</h5>
<p>It's main div class or id of an element that is going to have your tooltips inside</p>

``` HTML
<body class="parent-elem">
    <div tip-quick>
        <div class="tooltip-quicker icon-2"></div>
        <div class="tooltip-content">
            <h1>Content</h1>
            <img class="tooltip-close-icon" src="images/close-tooltip.png" alt="close-tooltip"/>
        </div>
    </div>
</body>
```
<h5>Second parameter</h5>
<p>The second parameter allows you to set the specific event up. Basically:</p>

``` JavaScript
{
  eventType: 'click' || 'hover',
  dissapear: true || false
}
```
<ul>
   <li>eventType - can have two events, or click or hover.</li>
   <li>dissapear - can be set to false or true. If true, it implies that when you hover and trigger mouseleave event, tooltip will dissapear automatically.</li>
</ul>
<h4>2.2 Which classes or elements are required?</h4>
<p>Well, correct structure looks like that: </p>

``` HTML
<div class="parent-elem">
   <div tip-quick> <!-- Has to have tip-quick attribute -->
     <div class="tooltip-quicker icon-1"></div> <!-- Has to have tooltip-quicker class and icon-1 is optional -->
     <div class="tooltip-content"> <!-- Has to have tooltip-content class -->
        <h1>Content</h1>
        <img class="tooltip-close-icon" src="images/close-tooltip.png" alt="close-tooltip"/> <!-- Has to have close icon with the class tooltip-close-icon -->
     </div>
   </div>
</div>
```
<h4>2.2 How to get it and install it?</h4>
<p>You can simply get it into your application by downloading it by npm: <code>npm install tooltip-quicker</code>. Once you've installed the library, include it in your HTML file.</p>

<h3>3. Contribution and the last word</h3>
<p>Please, contribute freely into the project, raise issues, make pull request</p>
<p>Hopefully, I said everything clearly and you're going to enjoy tooltip-quicker</p>
<h5>3.1 Contact</h5>
<p>Hit me up on twitter, let's talk: https://twitter.com/RobertJWozniak</p>
<p>Check my other repositories, they're really cool! Thank you</p>
